Bug 728841 - RuntimeError: entry already present in file
Summary: RuntimeError: entry already present in file
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: firstboot
Version: rawhide
Hardware: i386
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Martin Gracik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: firstboot_trace_hash:b76e956a52a0587c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-08 05:50 UTC by Need Real Name
Modified: 2013-07-04 12:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-12 10:19:53 UTC


Attachments (Terms of Use)
Attached traceback automatically from firstboot. (36.38 KB, text/plain)
2011-08-08 05:50 UTC, Need Real Name
no flags Details

Description Need Real Name 2011-08-08 05:50:39 UTC
The following was filed automatically by firstboot:
firstboot 1.119 exception report
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/firstboot/interface.py", line 105, in _nextClicked
    self.advance()
  File "/usr/lib/python2.7/site-packages/firstboot/interface.py", line 148, in advance
    result = module.apply(self, self.testing)
  File "/usr/share/firstboot/modules/create_user.py", line 196, in apply
    self.admin.addGroup(groupEnt)
RuntimeError: entry already present in file

Comment 1 Need Real Name 2011-08-08 05:50:44 UTC
Created attachment 517103 [details]
Attached traceback automatically from firstboot.

Comment 2 Martin Gracik 2011-08-08 07:25:09 UTC
Hi, it looks like you have already a group with the same name as your new user name, is that so?

What steps did you do when you hit this error? Was it an upgrade? Or did you create some users/groups yourself?


Note You need to log in before you can comment on or make changes to this bug.